%global _legacy_common_support 1
Summary:	Clone of a Risk clone
Name:		teg
Version:	0.11.2
Release:	%mkrel 18
URL:		http://teg.sourceforge.net/
License:	GPLv2+
Group:		Games/Strategy

Source0:	%{name}-%{version}.tar.bz2
Patch0:		teg-0.11.2-remove-de-comment.patch
BuildRequires:	GConf2
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:  intltool
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q
%patch0 -p0
# strange perms on some files
chmod 640 AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO

%build
# fix build on aarch64
autoreconf -vfi

%configure --bindir=%{_gamesbindir}
%make_build


%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %make_install bindir=%{_gamesbindir}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/gnome/apps/Games/*

mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir} \
	 %{buildroot}%{_liconsdir}
convert -geometry 48x48 client/teg_pix/teg_icono.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 client/teg_pix/teg_icono.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 client/teg_pix/teg_icono.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome/apps/Games/%name.desktop
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Aug 20 2020 joequant <joequant> 0.11.2-18.mga8
+ Revision: 1616810
- fix build

* Fri Feb 14 2020 umeabot <umeabot> 0.11.2-17.mga8
+ Revision: 1517406
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.11.2-16.mga7
+ Revision: 1301355
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 wally <wally> 0.11.2-15.mga7
+ Revision: 1245868
- fix build on aarch64
- use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 0.11.2-14.mga6
+ Revision: 930251
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-13.mga5
+ Revision: 741085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-12.mga5
+ Revision: 689766
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11.2-11.mga4
+ Revision: 519584
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11.2-10.mga3
+ Revision: 384214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.11.2-9.mga3
+ Revision: 257624
+ rebuild (emptylog)

* Sun Jul 24 2011 stormi <stormi> 0.11.2-8.mga2
+ Revision: 128142
- increase release so that it's higher than in mageia 1

* Sun Jul 03 2011 zezinho <zezinho> 0.11.2-7.mga2
+ Revision: 117746
- imported package teg

